<?php

require_once "lib/newsarticle.php";

function endpoint($endpoint_data): array
{

    return match ($endpoint_data["action"]) {
        "getNewsArticles" => getNewsArticles(),
        "addNewsArticle" => addNewsArticle(
            $endpoint_data["title"],
            $endpoint_data["body"]
        ),
        default => ["Status" => "Fail", "message" => "Invalid action"],
    };
}